Bug 18738 - Отваливается при попытке открыть "установка программ"
: Отваливается при попытке открыть "установка программ"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-packages)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 17727
:
  Show dependency tree
 
Reported: 2009-02-04 03:07 by
Modified: 2009-02-18 14:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-02-04 03:07:01
alterator-packages-0.5.4-alt2

Если запустить acc и выбрать там "Установка программ", то все отваливается, в
консоль валится вот такое:

[root@threebears tmp]# acc
socket path /tmp/.private/root/alterator/browser-sock ...
!>type,pending
!>type,groups
guile: uncaught throw to woo-error: ("backend-communication error:
(\"read-error,(\\\"scm_lreadr\\\" \\\"#<unknown port>:7:9: illegal character in
escape sequence: ~S\\\" (#\\\\space) #f)\")")


То же самое поведение наблюдается в Desktop 5.0 prealpha-20090202
------- Comment #1 From 2009-02-04 09:59:02 -------
Как правило, это результат того что был сказан apt-get update с русской локалью
и в результате втащились русские переводы групп.

Кстати может быть отрубить эту дурацкую особенность apt/rpm?
------- Comment #2 From 2009-02-04 20:57:26 -------
(В ответ на комментарий №1)
> Как правило, это результат того что был сказан apt-get update с русской локалью

У меня это проявилось сразу после установке 5.0 преальфа, никаких su -, su и
прочих update. Просто в меню КДЕ выбрал ЦУС, и далее мышкой его потыкал.
------- Comment #3 From 2009-02-11 20:39:33 -------
это не update c русской локалью, что-то в alterator'е
------- Comment #4 From 2009-02-18 14:02:16 -------
fixed in alterator-packages-0.5.4-alt3
------- Comment #5 From 2009-02-18 14:03:14 -------
.